Subject: Re: bug#39708: nfs-service-type broken: rpc.mountd respawns too quickly

From: Ludovic Courtès <[email-masked]>
Date: Sun, 08 Mar 2020 15:43:50 +0100

Maxim Cournoyer <[email-masked]> skribis:

>> So that means that rpc.mountd “daemonizes”.  Thus, shepherd shouldn’t
>> look at the PID of the process it spawns, but rather at what
>> rpc.mountd’s PID file contains (I assume it creates a PID file,
>> right?).  IOW, we need to pass #:pid-file to ‘make-forkexec-constructor’.
>
> That process doesn't create a PID file, so that doesn't work.

OK, so ‘--foreground’ was the right thing.  Thanks for explaining!

Ludo’.